<template>
  <Drawer :visible="visible" :header="isEditing ? 'Изменить транзакцию ' : 'Создать транзакцию'" :showCloseIcon="true"
          position="right" @hide="closeDrawer" @update:visible="closeDrawer"
          class="!w-128 hidden lg:block ">
    <slot />
  </Drawer>
</template>

<script setup lang="ts">
import Drawer from "primevue/drawer";
const props = defineProps({
  visible: Boolean,
  isEditing: Boolean,
});
const emits = defineEmits(['close-drawer']);
function closeDrawer() {
  emits('close-drawer');
}
</script>
